Subject: Re: Mandatory
From: "Michael B" <[email-masked]>
To: "Steve Fata" <[email-masked]>
Date: Fri, 12 Sep 2014 09:37:18 -0400

Hello Steve.
I do not recognize this.  No phone number or I would call them.  You could just dispute it and then they would probably call us if it is in fact legit.  
Thank you,
Michael B
LLPS

From: Steve Fata 
Sent: Friday, September 12, 2014 8:03 AM
To: Mike bishop 
Subject: Fw: Mandatory

Mike do you have any idea why we keep getting this debit on our bank account at Capitol National? I asked Ken Lake and couldn't figure it out either. let me know.

Ken,

We always get this fee taken out of out account. I'm not sure what it is for. Do you have any ideas? Thanks

      09/03/2014  ($48.95) OF AMERICA \RCVIN DATE: \CODSCD  CCD ID#:  389206980001551  FEE BANK       

Steve Fata
517-204-3449